Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Impossibile usare emerge[RISOLTO]
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian)
View previous topic :: View next topic  
Author Message
Massimog
Apprentice
Apprentice


Joined: 04 Nov 2011
Posts: 152
Location: Osimo(AN)

PostPosted: Sun Jan 11, 2015 8:24 pm    Post subject: Impossibile usare emerge[RISOLTO] Reply with quote

Ciao a tutti... non posso usare emerge perche si blocca con questo errore
Code:
These are the packages that would be merged, in order:

Calculating dependencies... done!
Traceback (most recent call last):
  File "/usr/lib/python-exec/python2.7/emerge", line 50, in <module>
    retval = emerge_main()
  File "/usr/lib64/python2.7/site-packages/_emerge/main.py", line 1070, in emerge_main
    return run_action(emerge_config)
  File "/usr/lib64/python2.7/site-packages/_emerge/actions.py", line 4082, in run_action
    emerge_config.args, spinner)
  File "/usr/lib64/python2.7/site-packages/_emerge/actions.py", line 320, in action_build
    settings, trees, myopts, myparams, myaction, myfiles, spinner)
  File "/usr/lib64/python2.7/site-packages/_emerge/depgraph.py", line 8640, in backtrack_depgraph
    myaction, myfiles, spinner)
  File "/usr/lib64/python2.7/site-packages/_emerge/depgraph.py", line 8672, in _backtrack_depgraph
    success, favorites = mydepgraph.select_files(myfiles)
  File "/usr/lib64/python2.7/site-packages/_emerge/depgraph.py", line 3309, in select_files
    return self._select_files(args)
  File "/usr/lib64/python2.7/site-packages/_emerge/depgraph.py", line 3645, in _select_files
    return self._resolve(myfavorites)
  File "/usr/lib64/python2.7/site-packages/_emerge/depgraph.py", line 3800, in _resolve
    self.altlist()
  File "/usr/lib64/python2.7/site-packages/_emerge/depgraph.py", line 6450, in altlist
    self._resolve_conflicts()
  File "/usr/lib64/python2.7/site-packages/_emerge/depgraph.py", line 6582, in _resolve_conflicts
    if not self._validate_blockers():
  File "/usr/lib64/python2.7/site-packages/_emerge/depgraph.py", line 6120, in _validate_blockers
    blocker_cache = BlockerCache(myroot, vardb)
  File "/usr/lib64/python2.7/site-packages/_emerge/BlockerCache.py", line 51, in __init__
    self._load()
  File "/usr/lib64/python2.7/site-packages/_emerge/BlockerCache.py", line 73, in _load
    (self._cache_filename, str(e)), noiselevel=-1)
UnicodeDecodeError: 'ascii' codec can't decode byte 0xe1 in position 27: ordinal not in range(128)


qualche idea?
_________________
Distribuzione: Gentoo x86_64
Desktop: GNOME 3.30.2


Last edited by Massimog on Wed Jan 14, 2015 9:45 am; edited 1 time in total
Back to top
View user's profile Send private message
cloc3
Advocate
Advocate


Joined: 13 Jan 2004
Posts: 4657
Location: http://www.gentoo-users.org/user/cloc3/

PostPosted: Sun Jan 11, 2015 10:09 pm    Post subject: Re: Impossibile usare emerge Reply with quote

Massimog wrote:

qualche idea?

nessuna.
posta un eselect python list.
e un cat /etc/portage/make.conf|grep PYTHON.
_________________
vu vu vu
gentù
mi piaci tu
Back to top
View user's profile Send private message
Massimog
Apprentice
Apprentice


Joined: 04 Nov 2011
Posts: 152
Location: Osimo(AN)

PostPosted: Mon Jan 12, 2015 8:57 am    Post subject: Re: Impossibile usare emerge Reply with quote

cloc3 wrote:
Massimog wrote:

qualche idea?

nessuna.
posta un eselect python list.
e un cat /etc/portage/make.conf|grep PYTHON.


Code:
tani@gentoo-laptop ~ $ eselect python list
Available Python interpreters:
  [1]   python2.7 *
  [2]   python3.3
  [3]   python3.4
tani@gentoo-laptop ~ $


il secondo comando non mi restituisce niente

devo dire che tutto è cominciato dopo che ho corretto dei errori della partizione di root che non mi facevano avviare gentoo
_________________
Distribuzione: Gentoo x86_64
Desktop: GNOME 3.30.2
Back to top
View user's profile Send private message
cloc3
Advocate
Advocate


Joined: 13 Jan 2004
Posts: 4657
Location: http://www.gentoo-users.org/user/cloc3/

PostPosted: Mon Jan 12, 2015 11:41 am    Post subject: Re: Impossibile usare emerge Reply with quote

Massimog wrote:

devo dire che tutto è cominciato dopo che ho corretto dei errori della partizione di root che non mi facevano avviare gentoo

iannacci.
purtroppo, a me sa di corruzione.
spero che qualchun altro abbia un'idea migliore.

prova a vedere se, selezionando il python 3.3 o 3.4 riesci a lanciare un'istanza di emerge funzionante (eselect python set 2).
ma ho grossi dubbi.

oppure puoi lanciare uno strace e cercare di capire quali siano i file perduti.
ma anche questa sembra una strada in salita.

fortunatamente, se hai preparato delle partizioni di sistema ben separate dai dati, dovresti poter riformattare senza drammi.
magari, prima cerca di farti un backup dei dati quanto prima, perché, se la corruzione è fisica e richiede il cambio del disco, è meglio tenersi riparati.
_________________
vu vu vu
gentù
mi piaci tu
Back to top
View user's profile Send private message
Massimog
Apprentice
Apprentice


Joined: 04 Nov 2011
Posts: 152
Location: Osimo(AN)

PostPosted: Wed Jan 14, 2015 9:44 am    Post subject: Re: Impossibile usare emerge Reply with quote

cloc3 wrote:

prova a vedere se, selezionando il python 3.3 o 3.4 riesci a lanciare un'istanza di emerge funzionante (eselect python set 2).
ma ho grossi dubbi.


ho fatto come mi hai consigliato e ho reinstallato portage, poi ho rimesso python 2.7 e ho reinstallato di nuovo portage e aggiornato il sistema.
grazie dell'aiuto
_________________
Distribuzione: Gentoo x86_64
Desktop: GNOME 3.30.2
Back to top
View user's profile Send private message
cloc3
Advocate
Advocate


Joined: 13 Jan 2004
Posts: 4657
Location: http://www.gentoo-users.org/user/cloc3/

PostPosted: Wed Jan 14, 2015 12:11 pm    Post subject: Re: Impossibile usare emerge Reply with quote

:) splendido. non ci avrei scommesso un soldo di cacio.
Massimog wrote:
... e aggiornato il sistema.


a questo punto, però, non mi limiterei ad aggiornare semplicemente il sistema, ma a ricompilarlo integralmente (con l'opzione -e di emerge).

non è ovvio che l file perduti interessino solo la componente python-2.7 del pacchetto portage.
per maggior sicurezza, farei anche un fsck del filesystem a bocce ferme. cioè accedendo con una chiavetta usb esterna.
_________________
vu vu vu
gentù
mi piaci tu
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum